Bug 333471 - Review Request: gnome-packagekit - gnome applications for PackageKit
Review Request: gnome-packagekit - gnome applications for PackageKit
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On: 333451
  Show dependency treegraph
Reported: 2007-10-16 00:15 EDT by Robin Norwood
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-06 11:00:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2007-10-16 00:15:52 EDT
Spec URL: http://people.redhat.com/rnorwood/rpms/gnome-packagekit.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/gnome-packagekit-0.1.0-1.fc8.src.rpm
packagekit-gnome provides session applications for the PackageKit API.
There are several utilities designed for installing, updating and
removing packages on your system.

This requires PackageKit: 
Comment 1 Peter Gordon 2007-10-16 00:26:43 EDT
Setting PackageKit bug dependency.
Comment 2 Parag AN(पराग) 2007-10-16 06:28:36 EDT
Preliminary review =>
1)I will suggest to have this package named as gnome-PackageKit.
2) Use of make should be as given in
3) defattr should be defattr(-,root,root,-)
4) Remove following line from SPEC from %files section
5)You should install all .desktop files as given in
Comment 3 Robin Norwood 2007-10-16 16:13:50 EDT
Thanks again for the nice review:

1) Nope.  The upstream tarball is named gnome-packagekit, and in the absence of
any guidelines or consistancy for naming gnome addons, I'd rather just match the
upstream tarball.
2) Oops...fixed.
3) Fixed
4) Fixed
5) Fixed

Also, fixed the License tag: GPLv2+

Comment 4 Parag AN(पराग) 2007-10-16 23:41:53 EDT
Package looks ok. waiting for PackageKit updates now.
Comment 5 Robin Norwood 2007-10-23 12:14:27 EDT
Here are new packages to go with the new upstream version:

Comment 6 Parag AN(पराग) 2007-10-26 00:32:55 EDT
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
dfd4118a5980bac647660491fcc3698a  gnome-packagekit-0.1.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ scrollkeeper, Gconf, update-dekstop-database, update-gtk-icon-cache scriptlets
are used.
+ package  gnome-packagekit-0.1.1-1.fc8 ->
  Provides: config(gnome-packagekit) = 0.1.1-1.fc8
  Requires: config(gnome-packagekit) = 0.1.1-1.fc8 dbus-glib >= 0.61 dbus-x11 >=
0.61 gnome-icon-theme gtk2 >= 2.10.0 libORBit-2.so.0 libatk-1.0.so.0 libc.so.6
libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libcairo.so.2
libdbus-1.so.3 libdbus-glib-1.so.2 libdl.so.2 libgconf-2.so.4
libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libglade-2.0.so.0 libglib-2.0.so.0
libgmodule-2.0.so.0 libgobject-2.0.so.0 libgthread-2.0.so.0 libgtk-x11-2.0.so.0
libnotify >= 0.4.3 libnotify.so.1 libpackagekit.so.2 libpango-1.0.so.0
libpangocairo-1.0.so.0 libpthread.so.0 librt.so.1 libxml2.so.2 rtld(GNU_HASH)

+ GUI app.

Comment 7 Robin Norwood 2007-10-30 14:10:54 EDT
Huh.  I guess I missed that this was approved several days ago.  Let's do a CVS
request, shall we?

Oh, and thanks again for the review(s), Parag!

New Package CVS Request
Package Name: gnome-packagekit
Short Description: GNOME applications for PackageKit
Owners: rnorwood
Branches: devel
Cvsextras Commits:
Comment 8 Kevin Fenzi 2007-10-30 19:12:26 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.